summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_build.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2014-09-30 18:07:36 +0200
committerHolger Levsen <holger@layer-acht.org>2014-09-30 18:07:36 +0200
commit07edb6d9c253cb4cabcad7450cac9dddbfeda8aa (patch)
tree40d6c4932a053d01718420f8321c09343d50c6b6 /bin/reproducible_build.sh
parent975293b4fcbd99d2a4642746833b2a45b8b7c77a (diff)
downloadjenkins.debian.net-07edb6d9c253cb4cabcad7450cac9dddbfeda8aa.tar.xz
bugfix
Diffstat (limited to 'bin/reproducible_build.sh')
-rwxr-xr-xbin/reproducible_build.sh7
1 files changed, 5 insertions, 2 deletions
diff --git a/bin/reproducible_build.sh b/bin/reproducible_build.sh
index 6f7f6bbf..f1e62bdc 100755
--- a/bin/reproducible_build.sh
+++ b/bin/reproducible_build.sh
@@ -183,9 +183,11 @@ for SRCPACKAGE in ${PACKAGES} ; do
cat b1/${SRCPACKAGE}_${EVERSION}_amd64.changes
LOGFILE=$(ls ${SRCPACKAGE}_${EVERSION}.dsc)
LOGFILE=$(echo ${LOGFILE%.dsc}.diffp.html)
- ./debbindiff.git/debbindiff.py --html ./results/${LOGFILE} b1/${SRCPACKAGE}_${EVERSION}_amd64.changes b2/${SRCPACKAGE}_${EVERSION}_amd64.changes
- if ! $(grep -qv '^\*\*\*\*\*' ./results/${LOGFILE}) ; then
+ rm -f ./results/${LOGFILE} > /dev/null 2>&1
+ ./debbindiff.git/debbindiff.py --html ./results/${LOGFILE} b1/${SRCPACKAGE}_${EVERSION}_amd64.changes b2/${SRCPACKAGE}_${EVERSION}_amd64.changes || true
+ if [ ! -f ./results/${LOGFILE} ] ; then
rm -f /var/lib/jenkins/userContent/diffp/${SRCPACKAGE}_*.diffp.log > /dev/null 2>&1
+ rm -f /var/lib/jenkins/userContent/diffp/${SRCPACKAGE}_*.diffp.html > /dev/null 2>&1
figlet ${SRCPACKAGE}
echo
echo "${SRCPACKAGE} built successfully and reproducibly."
@@ -194,6 +196,7 @@ for SRCPACKAGE in ${PACKAGES} ; do
GOOD="${SRCPACKAGE} ${GOOD}"
else
rm -f /var/lib/jenkins/userContent/diffp/${SRCPACKAGE}_*.diffp.log > /dev/null 2>&1
+ rm -f /var/lib/jenkins/userContent/diffp/${SRCPACKAGE}_*.diffp.html > /dev/null 2>&1
cp ./results/${LOGFILE} /var/lib/jenkins/userContent/diffp/
sqlite3 -init $INIT ${PACKAGES_DB} "REPLACE INTO source_packages VALUES (\"${SRCPACKAGE}\", \"${VERSION}\", \"unreproducible\", \"$DATE\", \"\")"
set +x